package com.jeeplus.modules.sg.managementcenter.constructionProject.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

public class ConstructionProject extends DataEntity<ConstructionProject> {
    private static final long serialVersionUID = 1L;
    private String cityCompany;//  市公司
    private String countyCompany;//  县公司
    private String projectNature;//  项目性质
    private String powerSupplyArea;//  供电区域
    private String gridNumber;//  网格编号
    private String cellNumber;//  单元格编号
    private String reserveNumber;//  项目储备编号
    private String projectName;//  项目名称
    private String projectNumber;//  项目定义号
    private String substationName;//  变电站名称
    private String lineName;//  线路名称
    private String projectType;//  项目类型
    private String instructions;//  是否停电
    private String workAreaNote;//  工区备注
    private String contructiveContent;//  建设必要性内容
    private Double costEstimate;//  费用估算
    private String whetherGraceProject;//  是否迎风度夏项目
    private String projectNote;//  项目备注
    private String constructionUnit;//  施工单位
    private Date arrangeTime;//  安排时间
    private Date specificTime;//  具体时间
    private String projectStatus;//  项目状态0-在项目中 1-在计划中
    //标识，用于记录是否发起了竣工流程
    private Integer endFlag;

    public String getCityCompany() {
        return cityCompany;
    }

    public void setCityCompany(String cityCompany) {
        this.cityCompany = cityCompany;
    }

    public String getCountyCompany() {
        return countyCompany;
    }

    public void setCountyCompany(String countyCompany) {
        this.countyCompany = countyCompany;
    }

    public String getProjectNature() {
        return projectNature;
    }

    public void setProjectNature(String projectNature) {
        this.projectNature = projectNature;
    }

    public String getPowerSupplyArea() {
        return powerSupplyArea;
    }

    public void setPowerSupplyArea(String powerSupplyArea) {
        this.powerSupplyArea = powerSupplyArea;
    }

    public String getGridNumber() {
        return gridNumber;
    }

    public void setGridNumber(String gridNumber) {
        this.gridNumber = gridNumber;
    }

    public String getCellNumber() {
        return cellNumber;
    }

    public void setCellNumber(String cellNumber) {
        this.cellNumber = cellNumber;
    }

    public String getReserveNumber() {
        return reserveNumber;
    }

    public void setReserveNumber(String reserveNumber) {
        this.reserveNumber = reserveNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getSubstationName() {
        return substationName;
    }

    public void setSubstationName(String substationName) {
        this.substationName = substationName;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getInstructions() {
        return instructions;
    }

    public void setInstructions(String instructions) {
        this.instructions = instructions;
    }

    public String getWorkAreaNote() {
        return workAreaNote;
    }

    public void setWorkAreaNote(String workAreaNote) {
        this.workAreaNote = workAreaNote;
    }

    public String getContructiveContent() {
        return contructiveContent;
    }

    public void setContructiveContent(String contructiveContent) {
        this.contructiveContent = contructiveContent;
    }

    public Double getCostEstimate() {
        return costEstimate;
    }

    public void setCostEstimate(Double costEstimate) {
        this.costEstimate = costEstimate;
    }

    public String getWhetherGraceProject() {
        return whetherGraceProject;
    }

    public void setWhetherGraceProject(String whetherGraceProject) {
        this.whetherGraceProject = whetherGraceProject;
    }

    public String getProjectNote() {
        return projectNote;
    }

    public void setProjectNote(String projectNote) {
        this.projectNote = projectNote;
    }

    public String getConstructionUnit() {
        return constructionUnit;
    }

    public void setConstructionUnit(String constructionUnit) {
        this.constructionUnit = constructionUnit;
    }
    @JsonFormat(pattern = "YYYY-MM")
    public Date getArrangeTime() {
        return arrangeTime;
    }
    @JsonFormat(pattern = "YYYY-MM")
    public void setArrangeTime(Date arrangeTime) {
        this.arrangeTime = arrangeTime;
    }

    @JsonFormat(pattern = "YYYY-MM-dd")
    public Date getSpecificTime() {
        return specificTime;
    }

    @JsonFormat(pattern = "YYYY-MM-dd")
    public void setSpecificTime(Date specificTime) {
        this.specificTime = specificTime;
    }

    public String getProjectStatus() {
        return projectStatus;
    }

    public void setProjectStatus(String projectStatus) {
        this.projectStatus = projectStatus;
    }

    public Integer getEndFlag() {
        return endFlag;
    }

    public void setEndFlag(Integer endFlag) {
        this.endFlag = endFlag;
    }
}
